﻿alter table `buchvorgang-artikel`
  add column `Beschreibung` LONGTEXT NULL DEFAULT NULL COLLATE 'utf8_general_ci';

CREATE TABLE `buchgruppen` (
	`ID` INT(11) NOT NULL AUTO_INCREMENT,
	`GruppeName` VARCHAR(50) NULL DEFAULT NULL COLLATE 'utf8_general_ci',
	`FinanzOnlineBereich` VARCHAR(255) NULL DEFAULT NULL COLLATE 'utf8_general_ci',
	`FinanzOnlineNr` VARCHAR(4) NULL DEFAULT NULL COLLATE 'utf8_general_ci',
	`FinanzOnlineNrUst` VARCHAR(255) NULL DEFAULT NULL COLLATE 'utf8_general_ci',
	`FinanzOnlineNotiz` VARCHAR(255) NULL DEFAULT NULL COLLATE 'utf8_general_ci',
	`UstRelevant` BIT(1) NULL DEFAULT NULL,
	`EinkommenRelevant` BIT(1) NULL DEFAULT NULL,
	`Privatanteil` DOUBLE NULL DEFAULT NULL,
	PRIMARY KEY (`ID`) USING BTREE
)
COLLATE='utf8_general_ci';

# CREATE TABLE `buchauszahlungen` (
# 	`AuszId` INT(11) NOT NULL AUTO_INCREMENT,
# 	`IDNR` INT(11) NULL DEFAULT NULL,
# 	`Datum` DATETIME NULL DEFAULT NULL,
# 	`Ausgang` DECIMAL(18,2) NULL DEFAULT NULL,
# 	`Eingang` DECIMAL(18,2) NULL DEFAULT NULL,
# 	`Info` VARCHAR(255) NULL DEFAULT NULL COLLATE 'utf8_general_ci',
# 	`InBuchhaltung` BIT(1) NULL DEFAULT NULL,
# 	`Gruppe` INT(11) NULL DEFAULT NULL,
# 	`IDNR_Mitarbeiter` INT(11) NULL DEFAULT NULL,
# 	`AuszId_MWST` INT(11) NULL DEFAULT NULL,
# 	`Datei` VARCHAR(255) NULL DEFAULT NULL COLLATE 'utf8_general_ci',
# 	`Privatanteil` DOUBLE NULL DEFAULT NULL,
# 	PRIMARY KEY (`AuszId`) USING BTREE,
# 	INDEX `Schlüssel 2` (`IDNR`) USING BTREE,
# 	INDEX `Schlüssel 3` (`Datum`) USING BTREE,
# 	INDEX `Schlüssel 4` (`Gruppe`) USING BTREE
# )
# COLLATE='utf8_general_ci'
# ENGINE=InnoDB
# AUTO_INCREMENT=4761;


# buchkassabuch
# 	`KBID` INT(10) NOT NULL AUTO_INCREMENT,
# 	`Datum` DATETIME NULL DEFAULT NULL,
# 	`Konto` VARCHAR(25) NULL DEFAULT NULL COLLATE 'latin1_swedish_ci',
# 	`Beschreibung` VARCHAR(255) NULL DEFAULT NULL COLLATE 'latin1_swedish_ci',
# 	`BetragAusgang` DECIMAL(19,4) NULL DEFAULT '0.0000',
# 	`BetragEingang` DECIMAL(19,4) NULL DEFAULT '0.0000',
# 	`Waehrung` VARCHAR(3) NULL DEFAULT 'EUR' COLLATE 'latin1_swedish_ci',
# 	`MandantNr` TINYINT(6) UNSIGNED NULL DEFAULT NULL,
# 	`MitarbeiterNr` INT(10) NULL DEFAULT NULL,
# 	`Typ` VARCHAR(255) NULL DEFAULT NULL COLLATE 'latin1_swedish_ci',

alter table buchkassabuch
add column `IDNR` INT(11) NULL DEFAULT NULL, 
add column `InBuchhaltung` BIT(1) NULL DEFAULT NULL,
add column `Gruppe` INT(11) NULL DEFAULT NULL,
add column `AuszId_MWST` INT(11) NULL DEFAULT NULL,
add column `Datei` VARCHAR(255) NULL DEFAULT NULL COLLATE 'utf8_general_ci',
add column `Privatanteil` DOUBLE NULL DEFAULT NULL;

alter table buchkassabuch
add column `VorgangNummer` INT(10) NULL,
add column `VorgangTyp` VARCHAR(2) NULL COLLATE 'latin1_swedish_ci';


INSERT INTO buchkassabuch (KBID, IDNR, Datum, BetragAusgang, BetragEingang, Beschreibung, InBuchhaltung, Gruppe, MitarbeiterNr, AuszId_MWST, Datei, Privatanteil)
SELECT AuszId, IDNR, Datum, Ausgang, Eingang, Info, InBuchhaltung, Gruppe, IDNR_Mitarbeiter, AuszId_MWST, Datei, Privatanteil
FROM buchhaltung.buchauszahlungen;
